<?php

namespace App\Entity;

use ApiPlatform\Core\Annotation\ApiResource;
use App\Repository\TTransactionsPurchasesNoRepository;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ApiResource()
 * @ORM\Entity(repositoryClass=TTransactionsPurchasesNoRepository::class)
 */
class TTransactionsPurchasesNo
{
    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\Column(type="string", length=60, nullable=true)
     */
    private $purchasesSystemNo;

    /**
     * @ORM\Column(type="string", length=60, nullable=true)
     */
    private $transactions_sales_invoice_no;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getPurchasesSystemNo(): ?string
    {
        return $this->purchasesSystemNo;
    }

    public function setPurchasesSystemNo(?string $purchasesSystemNo): self
    {
        $this->purchasesSystemNo = $purchasesSystemNo;

        return $this;
    }

    public function getTTransactionsSalesInvoiceNo(): ?string
    {
        return $this->transactions_sales_invoice_no;
    }

    public function setTTransactionsSalesInvoiceNo(?string $transactions_sales_invoice_no): self
    {
        $this->transactions_sales_invoice_no = $transactions_sales_invoice_no;

        return $this;
    }
}
